summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-util/gnome-builder/files')
-rw-r--r--dev-util/gnome-builder/files/3.34.1-optional-vala.patch42
-rw-r--r--dev-util/gnome-builder/files/libgit2-1.0-compat.patch26
2 files changed, 0 insertions, 68 deletions
diff --git a/dev-util/gnome-builder/files/3.34.1-optional-vala.patch b/dev-util/gnome-builder/files/3.34.1-optional-vala.patch
deleted file mode 100644
index 6116de17267..00000000000
--- a/dev-util/gnome-builder/files/3.34.1-optional-vala.patch
+++ /dev/null
@@ -1,42 +0,0 @@
-From 84249e315c4a95b3ef9421dbf8492e10422e40d9 Mon Sep 17 00:00:00 2001
-From: Mart Raudsepp <leio@gentoo.org>
-Date: Thu, 12 Mar 2020 13:28:38 +0200
-Subject: [PATCH] build: Make vapi generation optional
-
----
- meson_options.txt | 1 +
- src/meson.build | 2 ++
- 2 files changed, 3 insertions(+)
-
-diff --git a/meson_options.txt b/meson_options.txt
-index 8984e9f69..27f9a368b 100644
---- a/meson_options.txt
-+++ b/meson_options.txt
-@@ -13,6 +13,7 @@ option('channel',
-
- option('help', type: 'boolean', value: false)
- option('docs', type: 'boolean', value: false)
-+option('vapi', type: 'boolean')
-
- option('network_tests', type: 'boolean', value: true, description: 'Allow networking in unit-tests')
-
-diff --git a/src/meson.build b/src/meson.build
-index 113a142ad..b0510270b 100644
---- a/src/meson.build
-+++ b/src/meson.build
-@@ -134,6 +134,7 @@ libide_gir = gnome.generate_gir(gnome_builder,
- extra_args: gnome_builder_gir_extra_args,
- )
-
-+if get_option('vapi')
- configure_file(
- input: 'libide.deps',
- output: 'libide-' + libide_api_version + '.deps',
-@@ -165,3 +166,4 @@ libide_vapi = gnome.generate_vapi('libide-' + libide_api_version,
-
- # Must be after vapi generation
- subdir('plugins/vala-pack')
-+endif
---
-2.20.1
-
diff --git a/dev-util/gnome-builder/files/libgit2-1.0-compat.patch b/dev-util/gnome-builder/files/libgit2-1.0-compat.patch
deleted file mode 100644
index 3e857eaac93..00000000000
--- a/dev-util/gnome-builder/files/libgit2-1.0-compat.patch
+++ /dev/null
@@ -1,26 +0,0 @@
-From 582bf0281358437cc35d96d363f0af81a1b21068 Mon Sep 17 00:00:00 2001
-From: Igor Raits <i.gnatenko.brain@gmail.com>
-Date: Tue, 3 Mar 2020 13:17:31 +0100
-Subject: [PATCH] plugins/git: Fix compatibility with libgit2 0.99.x
-
-Signed-off-by: Igor Raits <i.gnatenko.brain@gmail.com>
----
- src/plugins/git/daemon/ipc-git-repository-impl.c | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/src/plugins/git/daemon/ipc-git-repository-impl.c b/src/plugins/git/daemon/ipc-git-repository-impl.c
-index abcca5476..f2631945d 100644
---- a/src/plugins/git/daemon/ipc-git-repository-impl.c
-+++ b/src/plugins/git/daemon/ipc-git-repository-impl.c
-@@ -34,7 +34,7 @@
- #include "ipc-git-types.h"
- #include "ipc-git-util.h"
-
--#if LIBGIT2_SOVERSION >= 28
-+#if LIBGIT2_VER_MAJOR > 0 || (LIBGIT2_VER_MAJOR == 0 && LIBGIT2_VER_MINOR >= 28)
- G_DEFINE_AUTO_CLEANUP_CLEAR_FUNC (git_buf, git_buf_dispose)
- #else
- G_DEFINE_AUTO_CLEANUP_CLEAR_FUNC (git_buf, git_buf_free)
---
-2.26.2
-